SUSE SLED11 / SLES11 安全性更新:wpa_supplicant (SUSE-SU-2015:2221-1)

medium Nessus Plugin ID 87279
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 SUSE 主機缺少一個或多個安全性更新。

描述

wpa_supplicant 已更新,可修正兩個安全性問題。

已修正這些安全性問題:

- CVE-2015-4142:hostapd 和 wpa_supplicant 的 WMM 動作框架剖析器中的整數反向溢位,在用於 AP 模式 MLME/SME 功能時,允許遠端攻擊者透過特製的框架,造成拒絕服務 (當機),進而觸發超出邊界讀取 (bsc#930078)。

- CVE-2015-4141:hostapd (使用 WPS AP 時) 和 wpa_supplicant (使用 WPS 外部註冊機構 (ER) 時) 中的 WPS UPnP 函式允許遠端攻擊者透過負的區塊長度,造成拒絕服務 (當機),進而觸發超出邊界讀取或堆積型緩衝區溢位 (bsc#930077)。

請注意,Tenable Network Security 已直接從 SUSE 安全性公告擷取前置描述區塊。Tenable 已盡量在不造成其他問題的前提下,嘗試自動清理並將其格式化。

解決方案

若要安裝此 SUSE 安全性更新,請使用 YaST online_update。
或者,也可以執行針對您的產品所列的命令:

SUSE Linux Enterprise Server for VMWare 11-SP3:

zypper in -t patch slessp3-wpa_supplicant-12252=1

SUSE Linux Enterprise Server 11-SP4:

zypper in -t patch slessp4-wpa_supplicant-12252=1

SUSE Linux Enterprise Server 11-SP3:

zypper in -t patch slessp3-wpa_supplicant-12252=1

SUSE Linux Enterprise Desktop 11-SP4:

zypper in -t patch sledsp4-wpa_supplicant-12252=1

SUSE Linux Enterprise Desktop 11-SP3:

zypper in -t patch sledsp3-wpa_supplicant-12252=1

若要使您的系統保持在最新狀態,請使用「zypper 修補程式」。

另請參閱

https://bugzilla.suse.com/show_bug.cgi?id=930077

https://bugzilla.suse.com/show_bug.cgi?id=930078

https://www.suse.com/security/cve/CVE-2015-4141/

https://www.suse.com/security/cve/CVE-2015-4142/

http://www.nessus.org/u?dcb24f81

Plugin 詳細資訊

嚴重性: Medium

ID: 87279

檔案名稱: suse_SU-2015-2221-1.nasl

版本: 2.8

類型: local

代理程式: unix

已發布: 2015/12/9

已更新: 2021/1/6

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Low

分數: 3.6

CVSS v2

風險因素: Medium

基本分數: 4.3

時間分數: 3.2

媒介: AV:N/AC:M/Au:N/C:N/I:N/A:P

時間媒介: E:U/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:novell:suse_linux:wpa_supplicant, p-cpe:/a:novell:suse_linux:wpa_supplicant-gui, cpe:/o:novell:suse_linux:11

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2015/12/7

弱點發布日期: 2015/6/15

參考資訊

CVE: CVE-2015-4141, CVE-2015-4142

BID: 74549